function xmlSave(inStr) {
	val = '';
	for (i = 0; i < inStr.length; i++)
	{
		if (inStr.charAt(i) == '&') val += "&amp;";
		else if (inStr.charAt(i) == '<') val += "&lt;";
		else if (inStr.charAt(i) == '>') val += "&gt;";
		else if (inStr.charAt(i) == '\'') val += "&apos;";
		else if (inStr.charAt(i) == '\"') val += "&quot;";
		else val += inStr.charAt(i);
	}
	return val;
}


function prepareParameters(frm1, frm2) {
	if (frm2.queryInputParameter) {
		frm2.queryInputParameter.value = frm1.queryInputParameter.value;
		//alert (frm2.queryInputParameter.value);
	}
	
	if (frm2.extendedInputParameter) {
		frm2.extendedInputParameter.value = prepareProperties(frm1, frm2);
		//alert (frm2.extendedInputParameter.value);
	}
	
	if (frm2.callInputParameter) {
		frm2.callInputParameter.value = prepareCallInputData(frm1, frm2);
		//alert (frm2.callInputParameter.value);
	}

	if (frm2.tablesInputParameter) {
		frm2.tablesInputParameter.value = prepareTablesInputData(frm1, frm2);
		//alert (frm2.tablesInputParameter.value);
	}

	if (frm2.columnsInputParameter) {
		frm2.columnsInputParameter.value = prepareColumnsInputData(frm1, frm2);
		//alert (frm2.columnsInputParameter.value);
	}

}
	
function prepareProperties(frm1, frm2) {
		value = "<properties>\n";
		if (frm1.chk_loginInfo.checked == true) {
			value += "<loginInfo>\n";
			value += "<userid>";
			value += xmlSave(frm1.txt_userid.value);			
			value += "</userid>\n";
			value += "<password>";
			value += xmlSave(frm1.txt_password.value);
			value += "</password>\n";
			value += "</loginInfo>\n";	
		}
		
		if (frm1.chk_readOnly.checked == true && frm1.sel_readOnly.selectedIndex > -1) {
			value += "<readOnly>";
			value += frm1.sel_readOnly.options[frm1.sel_readOnly.selectedIndex].value;
			value += "</readOnly>\n";
		}

		if (frm1.chk_isolationLevel.checked == true && frm1.sel_isolationLevel.selectedIndex > -1) {
			value += "<isolationLevel>";
			value += frm1.sel_isolationLevel.options[frm1.sel_isolationLevel.selectedIndex].value;			
			value += "</isolationLevel>\n";
		}
		if (frm1.chk_escapeProcessing.checked == true && frm1.sel_escapeProcessing.selectedIndex >-1) {
			value += "<escapeProcessing>";
			value += frm1.sel_escapeProcessing.options[frm1.sel_escapeProcessing.selectedIndex].value;			
			value += "</escapeProcessing>\n";
		}
		if (frm1.chk_startAtRow.checked == true) {
			value += "<startAtRow>";
			value += xmlSave(frm1.txt_startAtRow.value);
			value += "</startAtRow>\n";
		}
		if (frm1.chk_fetchSize.checked == true) {
			value += "<fetchSize>";
			value += xmlSave(frm1.txt_fetchSize.value);
			value += "</fetchSize>\n";
		}
		if (frm1.chk_maxFieldSize.checked == true) {
			value += "<maxFieldSize>";
			value += xmlSave(frm1.txt_maxFieldSize.value);
			value += "</maxFieldSize>\n";
		}
		if (frm1.chk_maxRows.checked == true) {
			value += "<maxRows>";
			value += xmlSave(frm1.txt_maxRows.value);
			value += "</maxRows>\n";
		}
		if (frm1.chk_queryTimeout.checked == true) {
			value += "<queryTimeout>";
			value += xmlSave(frm1.txt_queryTimeout.value);
			value += "</queryTimeout>\n";
		}
		value += "</properties>\n"
		
		return value;
	}

function prepareCallInputData(frm1, frm2) {

		value = "<callInputData>\n";
		value += "<spName>";
		value += frm1.txt_spName.value;
		value += "</spName>\n";
		if (frm1.chk_schema.checked == true) {
			value += "<schema>";
			value += frm1.txt_schema.value;
			value += "</schema>\n";
		}
		value += "<parameters>\n";
		
		paramCount = frm1.hd_paramCount.value;
		
		for (index = 0; index < paramCount; index++) {

			pKindOptions = frm1["sel_kind_" + index];
			pXmlTypeOptions = frm1["sel_type_" + index];
			pXmlType = pXmlTypeOptions.options[pXmlTypeOptions.selectedIndex].value;
			pValue = "";
			pKind = pKindOptions.options[pKindOptions.selectedIndex].value;
			pIsNull = frm1["chk_null_" + index].checked;
			//pIsNull = false;

			
			if (pKind == "IN" || pKind == "INOUT") {
				//if (pIsNullOptions.selectedIndex > -1 && pIsNullOptions.options[pIsNullOptions.selectedIndex].value == "NULL") pIsNull = true;
				if (pIsNull == false) pValue = frm1["txt_value_" + index].value;
			}
		
			value += "<parameter>\n";
				if (pKind == "IN" || pKind == "INOUT") {
					value += "<inParam>\n";
					value += "<kind>";
					value += xmlSave(pKind);
					value += "</kind>\n";
					value += "<type>";
					value += xmlSave(pXmlType);
					value += "</type>\n";
					if (pIsNull == false) {
						value += "<value>";
						value += xmlSave(pValue);
						value += "</value>\n";
					} 
					value += "</inParam>\n";
				} else {
					value += "<outParam>\n";
					value += "<kind>";
					value += pKind;
					value += "</kind>\n";
					value += "<type>";
					value += pXmlType;
					value += "</type>\n";
					value += "</outParam>\n";
				}
			value += "</parameter>\n";
		}
		
		value += "</parameters>\n";
		value += "</callInputData>\n";
		
		return value;
}

function prepareColumnsInputData(frm1, frm2) {
		value = "<columnsInputData>\n";		
		if (frm1.chk_catalogPattern.checked == true) {
			value = "<catalogPattern>";
			value += xmlSave(frm1.txt_catalogPattern.value);
			value += "</catalogPattern>\n";
		}
		if (frm1.chk_schemaPattern.checked == true) {
			value += "<schemaPattern>";
			value += xmlSave(frm1.txt_schemaPattern.value);
			value += "</schemaPattern>\n";
		}
		if (frm1.chk_tableNamePattern.checked == true) {
			value += "<tableNamePattern>";
			value += xmlSave(frm1.txt_tableNamePattern.value);
			value += "</tableNamePattern>\n";
		}
		if (frm1.chk_columnNamePattern.checked == true) {
			value += "<columnNamePattern>";
			value += xmlSave(frm1.txt_columnNamePattern.value);
			value += "</columnNamePattern>\n";
		}

		value += "</columnsInputData>\n";		

		return value;
}

function prepareTablesInputData(frm1, frm2) {
		value = "<tablesInputData>\n";
		if (frm1.chk_catalogPattern.checked == true) {
			value += "<catalogPattern>\n";
			value += xmlSave(frm1.txt_catalogPattern.value);
			value += "</catalogPattern>\n";
		}
		if (frm1.chk_schemaPattern.checked == true) {
			value += "<schemaPattern>";
			value += xmlSave(frm1.txt_schemaPattern.value);
			value += "</schemaPattern>\n";
		}
		if (frm1.chk_tableNamePattern.checked == true) {
			value += "<tableNamePattern>";
			value += xmlSave(frm1.txt_tableNamePattern.value);
			value += "</tableNamePattern>\n";
		}
		value += "</tablesInputData>\n";
		
		return value;
}

function chg_sel_kind(selectBox, checkBox, textField) {
	if (selectBox.options[selectBox.selectedIndex].value == "OUT") {
		textField.value    = "";
		textField.disabled = true;
		checkBox.checked   = false;
		checkBox.disabled  = true;
	} else {
		textField.disabled = false;
		checkBox.disabled  = false;
	}
}

function chg_chk_null(checkBox, textField) {
	if (checkBox.checked == true) {
		textField.value = "";
		textField.disabled = true;
	} else {
		textField.disabled = false;
	}
}

function chg_chk_null_txt(checkBox, textField) {
	if (checkBox.checked == true) {
		textField.disabled = false;
	} else {
		textField.value = textField.defaultValue;
		textField.disabled = true;
	}
}

function chg_chk_null_loginInfo(checkBox, txtUserid, txtPassword) {
	if (checkBox.checked == true) {
		txtUserid.disabled = false;
		txtPassword.disabled = false;
	} else {
		txtUserid.value = txtUserid.defaultValue;
		txtUserid.disabled = true;
		txtPassword.value = txtPassword.defaultValue;
		txtPassword.disabled = true;

	}
}

function chg_chk_null_sel(checkBox, selectBox) {
	if (checkBox.checked == true) {
		selectBox.disabled = false;
	} else {
		selectBox.selectedIndex = 0;
		selectBox.disabled = true;
	}
}

function modifyDQSHref(isDQSService, opCount) {
	if (isDQSService == true) {
		for (i = 0; i < opCount; i++) {
			href = document.getElementById("op_" + i).href.replace(/actionsInputs/, "actionsInputsDQS");
			document.getElementById("op_" + i).href = href;
		}
	}
}